%define major		1
%define libname		%mklibname va %{major}
%define develname	%mklibname va -d

Name:		libva
# The rather complex versioning is due to the upstream being a patched
# version of the real upstream libva; when the real upstream 0.5 comes
# out we will no longer need to use Gwenole's patched version of 0.3
Version:	1.0.15
Release:	%{mkrel 1}
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/vaapi
Source0:	http://cgit.freedesktop.org/libva/snapshot/%{name}-%{version}.tar.bz2
# grabbed from fedora (originally from sds)
Patch0:		101_dont_install_test_programs.patch
# BR
BuildRequires:	libtool
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	libdrm-devel
BuildRequires:	GL-devel

%description
Libva is a library providing the VA API video acceleration API.

%package -n vainfo
Summary:	VA-API information tool
Group:		Video
Conflicts:	libva < 0.31.1
Obsoletes:	libva-test < 0.31.1

%description -n vainfo
Libva is a library providing the VA API video acceleration API.
This packages provides the vainfo tool showing VA-API information.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Libva is a library providing the VA API video acceleration API.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libva is a library providing the VA API video acceleration API. This
package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q
# disable install of test programs
%patch0 -p1

%build
autoreconf -i
%configure2_5x --disable-static --enable-glx
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

# dummy driver has no good place, so get rid of it
rm %{buildroot}%{_libdir}/dri/dummy_drv_video.so

%clean
rm -rf %{buildroot}

%files -n vainfo
%{_bindir}/vainfo

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}-egl.so.%{major}*
%{_libdir}/%{name}-glx.so.%{major}*
%{_libdir}/%{name}-tpi.so.%{major}*
%{_libdir}/%{name}-x11.so.%{major}*
%dir %{_libdir}/dri

%files -n %{develname}
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog

* Tue Dec 06 2011 tv <tv> 1.0.15-1.mga2
+ Revision: 177959
- i965 driver has been splitted out
- new release

* Tue Aug 30 2011 tmb <tmb> 1.0.14-1.mga2
+ Revision: 136699
- clean spec
- rediff P0
- update to 1.0.14
- drop merged patches

* Sun Apr 17 2011 tmb <tmb> 1.0.12-1.mga1
+ Revision: 87043
- add h.264 encoder support (disabled by default)
- dont install test programs (fedora)
- update to 1.0.12

  + ahmad <ahmad>
    - imported package libva

